OPENSEACHEST_DEFECT(1)

NAME
openSeaChest_Defect - manual page for openSeaChest_Defect ==========================================================================================

DESCRIPTION
==========================================================================================

    openSeaChest_Defect - openSeaChest drive utilities - NVMe Enabled Copyright (c) 2014-2026 Seagate Technology LLC and/or its Affiliates, All Rights Reserved openSeaChest_Defect Version: 26.03.2 X86_64 Build Date: May 18 2026 Today: 20260605T144114 User: current user

========================================================================================== Usage =====

    openSeaChest_Defect [-d <sg_device>] {arguments} {options}

Examples ========

    openSeaChest_Defect --scan openSeaChest_Defect -d /dev/sg<#> -i openSeaChest_Defect -d /dev/sg<#> --reallocateBlocks 123Fh,597,1467,0xA1295323

Return codes ============

    Generic/Common exit codes 0 = No Error Found 1 = Error in command line options 2 = Invalid Device Handle or Missing Device Handle 3 = Operation Failure 4 = Operation not supported 5 = Operation Aborted 6 = File Path Not Found 7 = Cannot Open File 8 = File Already Exists 9 = Need Elevated Privileges 10 = Not enough resources 11 = Error Writing File 12 = Device not found when opening handle. 13 = Device not opened. Handle is busy. 14 = Insecure Directory to read or write file Anything else = unknown error

Utility Options ===============

--csmiIgnorePort (Obsolete)

    This option is obsolete and will be removed in future versions.

--csmiUsePort (Obsolete)

    This option is obsolete and will be removed in future versions.

--csmiVerbose (Obsolete)

    This option is obsolete and will be removed in future versions.

--echoCommandLine

    Echo the command line entered into the utility on the screen.

--enableLegacyUSBPassthrough

    Only use this option on old USB or IEEE1394 (Firewire) products that do not otherwise work with the tool. This option will enable a trial and error method that attempts sending various ATA Identify commands through vendor specific means. Because of this, certain products that may respond in unintended ways since they may interpret these commands differently than the bridge chip the command was designed for.

--forceATA

    Using this option will force the current drive to be treated as a ATA drive. Only ATA commands will be used to talk to the drive.

--forceATADMA
    (SATA Only)

    Using this option will force the tool to issue SAT commands to ATA device using the protocol set to DMA whenever possible (on DMA commands). This option can be combined with --forceATA

--forceATAPIO
    (SATA Only)

    Using this option will force the tool to issue PIO commands to ATA device when possible. This option can be combined with --forceATA

--forceATAUDMA
    (SATA Only)

    Using this option will force the tool to issue SAT commands to ATA device using the protocol set to UDMA whenever possible (on DMA commands). This option can be combined with --forceATA

--forceSCSI

    Using this option will force the current drive to be treated as a SCSI drive. Only SCSI commands will be used to talk to the drive.

-h, --help

    Show utility options and example usage (this output you see now) Please report bugs/suggestions to seaboard@seagate.com. Include the output of --version information in the email.

--license

    Display the Seagate End User License Agreement (EULA).

--modelMatch [model Number]

    Use this option to run on all drives matching the provided model number. This option will provide a closest match although an exact match is preferred. Ex: ST500 will match ST500LM0001

--noBanner

    Use this option to suppress the text banner that displays each time openSeaChest is run.

--onlyFW [firmware revision]

    Use this option to run on all drives matching the provided firmware revision. This option will only do an exact match.

--onlySeagate

    Use this option to match only Seagate drives for the options provided

-q, --quiet

    Run openSeaChest_Defect in quiet mode. This is the same as -v 0 or --verbose 0

-v [0-4], --verbose [0 | 1 | 2 | 3 | 4]

    Show verbose information. Verbosity levels are: 0 - quiet 1 - default 2 - command descriptions 3 - command descriptions and values 4 - command descriptions, values, and data buffers Example: -v 3 or --verbose 3

-V, --version

    Show openSeaChest_Defect version and copyright information & exit

Utility Arguments =================

-d, --device [deviceHandle | all]

    Use this option with most commands to specify the device handle on which to perform an operation. Example: /dev/sg<#> CSMI device handles can be specified as <error<#><#><#>> To run across all devices detected in the system, use the "all" argument instead of a device handle. Example: -d all NOTE: The "all" argument is handled by running the

specified options on each drive detected in the
    OS sequentially. For parallel operations, please use a script opening a separate instance for each device handle.

-F, --scanFlags [option list]

    Use this option to control the output from scan with the options listed below. Multiple options can be combined.

ata - show only ATA (SATA) devices
    usb - show only USB devices scsi - show only SCSI (SAS) devices nvme - show only NVMe devices interfaceATA - show devices on an ATA interface interfaceUSB - show devices on a USB interface interfaceSCSI - show devices on a SCSI or SAS interface interfaceNVME = show devices on an NVMe interface sd - show sd device handles sgtosd - show the sd and sg device handle mapping ignoreCSMI - do not scan for any CSMI devices allowDuplicates - allow drives with both CSMI and PD handles

    to show up multiple times in the list

-i, --deviceInfo

    Show information and features for the storage device

-s, --scan

    Scan the system and list all storage devices with logical /dev/sg<#> assignments. Shows model, serial and firmware numbers. If your device is not listed on a scan immediately after booting, then wait 10 seconds and run it again.

-S, --Scan

    This option is the same as --scan or -s, however it will also perform a low level rescan to pick up other devices. This low level rescan may wake devices from low power states and may cause the OS to re-enumerate them. Use this option when a device is plugged in and not discovered in a normal scan. NOTE: A low-level rescan may not be available on all interfaces or all OSs. The low-level rescan is not guaranteed to find additional devices in the system when the device is unable to come to a ready state.

--SATInfo

    Displays SATA device information on any interface using both SCSI Inquiry / VPD / Log reported data (translated according to SAT) and the ATA Identify / Log reported data.

--testUnitReady

    Issues a SCSI Test Unit Ready command and displays the status. If the drive is not ready, the sense key, asc, ascq, and fru will be displayed and a human readable translation from the SPC spec will be displayed if one is available.

--fastDiscovery

Use this option
    to issue a fast scan on the specified drive.

--errorLimit [limit in number of LBAs]

    Use this option to specify a different error limit for a user generic or long generic read test or DST and Clean. This must be a number of

    logical LBAs to have errors. If a drive has multiple logical sectors per physical sector, this number will

    be adjusted for you to reflect the drive architecture.

--checkGrownListCount [count to check]

    Use this option to check if the grown defect list count is greater than the provided value.

--checkPendingListCount [count to check]

    Use this option to check if the pending defect list count is greater than the provided value. NOTE: This only works on SAS products that support the Pending Defects log page from SBC4 or later

--showPendingList

    Use this option to show the pending defect list as it is reported by the drive. NOTE: SBC4 pending log required for SAS support.

    SAS Only:

--defectFormat [ # | shortBlock | longBlock | xbfi | xchs | bfi | chs ] (SAS Only)

    This option set the format of the defects to output. Not all drives will support all defect modes! SSDs will only support block modes! Arguments: (name | #)

    shortBlock | 0 - show the defects in short block address mode (drives < 32bit LBA) xbfi | 1 - show the defects in extended bytes from index mode xchs | 2 - show the defects in extended physical cylinder-head-sector mode longBlock | 3 - show the defects in long block address mode (drives > 32bit LBA) bfi | 4 - show the defects in bytes from index mode chs | 5 - show the defects in physical cylinder-head-sector mode

--showSCSIDefects [ p | g | pg ]
    (SAS Only)

    This option will display the SCSI defects on the screen. The arguments to this will tell whether to get the grown, primary, or primary and grown defects from the drive. Use the --defectFormat option to specify the mode to display the defects. If no mode is specified, physical cylinder-head-sector mode is assumed Arguments:

    p - use this option to pull and display the primary (factory) defects g - use this option to pull and display the grown (reallocated) defects

    The above options can be combined to pull and display both defect lists.

--reallocateBlocks [address,address,...]
    (SAS Only)

    This option will reallocate the specified LBAs on a SCSI device. Multiple LBAs can be specified by separating them with commas. For SATA and NVMe devices, this will be passed to a SCSI translator which will handle all translation of this command. Ex: --reallocateBlocks 123456,234567,345678

Data Destructive Commands =========================

--bytesToCorrupt [# of bytes]

    Use this option to specify the number of data bytes to change when used with the --corruptLBA option.

--dstAndClean

    Runs DST, then checks for an error and repairs the error if possible. This continues until all errors reported by DST are fixed, or when the error limit is reached. The default limit is 50 errors.

--corruptLBA [lba]

    Use this option to corrupt the data bytes of an LBA. The --bytesToCorrupt option can be used to specify the number of bytes to corrupt. If that option is not given, a default will be used that attempts to create a correctable error on the drive. This option can be used to create uncorrectable or correctable errors on a drive, depending on it's ECC algorithm and the number of corrupted data bytes.

--corruptRandomLBAs [# of LBAs to corrupt]

    This option will corrupt the specified number of LBAs randomly on the device. The --bytesToCorrupt option can be used to specify the number of bytes to corrupt. If that option is not given, a default will be used that attempts to create a correctable error on the drive. This option can be used to create uncorrectable or correctable errors on a drive, depending on it's ECC algorithm and the number of corrupted data bytes.

--corruptRange [# of LBAs]

    This option is used with the --corruptLBA option to corrupt a range of LBAs on the drive.

--disableReadUncorrectables

    Use this option to disable issuing read commands to the LBAs where errors are written. This option should only be used for debugging. When this option is used, the uncorrectable errors may not end up being logged in the Pending Defect List on the drive.

--flaggedUncorrectable

    Use this option to flag an uncorrectable error instead of creating a pseudo uncorrectable error with the --psuedoUncorrectable or --randomUncorrectables options. Error types:

Pseudo - creates a pseudo uncorrectable error. The device
    will perform full error recovery and logging on failure.

Flagged - flags an error. The device will not perform error
    recovery and will not log on failure.

--psuedoUncorrectable [lba]

    Use this option to create a uncorrectable error at the specified LBA. Use --uncorrectableRange to specify a range. By default, pseudo uncorrectable errors will be created for the entire physical sector. Use the --flaggedUncorrectable option to flag errors instead. Flagged errors do not get logged or have any error processing when encountered.

--randomUncorrectables [number of errors]

    Use this option to create a number of random uncorrectable LBAs on a drive.

--uncorrectableRange [range]

    Use this option to specify a range of LBAs to create an uncorrectable error at. This option must be used with the --psuedoUncorrectable or --flaggedUncorrectable options so that a starting LBA is specified.

    openSeaChest_Defect - openSeaChest drive utilities - NVMe Enabled Copyright (c) 2014-2026 Seagate Technology LLC and/or its Affiliates, All Rights Reserved openSeaChest_Defect Version: 26.03.2 X86_64 Build Date: May 18 2026 Today: 20260605T144114 User: current user

========================================================================================== Version Info for openSeaChest_Defect:

    Utility Version: 26.03.2 opensea-common Version: 6.1.0 opensea-transport Version: 10.3.0 opensea-operations Version: 9.4.0 Build Date: May 18 2026 Compiled Architecture: X86_64 Detected Endianness: Little Endian Compiler Used: GCC Compiler Version: 14.2.0 Operating System Type: Linux Operating System Version: 6.6.114-1 Operating System Name: Ubuntu 24.04.4 LTS

SEE ALSO
The full documentation for openSeaChest_Defect is maintained as a Texinfo manual. If the info and openSeaChest_Defect programs are properly installed at your site, the command

    info openSeaChest_Defect

should give you access to the complete manual.